// gnome.xonotic.in.ua

models/mapobjects/barrel/barrel2
{
	{
		map models/mapobjects/barrel/barrel2.tga
		rgbgen vertex
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate 403
	}
	{
		clampmap models/mapobjects/barrel/barrel2fx.tga
		blendfunc gl_one gl_one
		tcmod rotate -100
	}
}

models/mapobjects/gr_trees/tree3
{
	cull none
	nopicmip
	{
		map models/mapobjects/gr_trees/tree3.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/pitted_rust_ps
{
	cull disable
	{
		map models/mapobjects/pitted_rust_ps.tga
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlamp/beam.tga
		tcmod scroll .3 0
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlamp/spotlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlamp/spotlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/spotlamp/spotlamp_l
{
	cull disable
	q3map_surfacelight 200
	{
		map models/mapobjects/spotlamp/spotlamp_l.tga
		rgbgen identity
	}
}

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/xaero_statue/xaero_statue
{
	{
		map models/mapobjects/xaero_statue/xaero_statue.tga
	}
}

models/mapobjects/xaero_statue/xaero_statue_a
{
	{
		map models/mapobjects/xaero_statue/xaero_statue_a.tga
	}
}

models/mapobjects/xaero_statue/xaero_statue_h
{
	{
		map models/mapobjects/xaero_statue/xaero_statue_h.tga
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_wall/concrete
{
	{
		map textures/base_wall/concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_conc.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
	}
}

textures/cardigan_skies/nebula1_orange_lightning
{
	qer_editorimage textures/cardigan_skies1/sparse_orange_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sun 0.960784 0.843137 0.552941 110 180 80
	skyparms env/cardigan/purewhitej 1200 -
	{
		map textures/cardigan_skies1/circlegradlightningblur2.tga
		blendfunc add
		rgbgen wave noise 0 1 0 10
		tcmod scale 0.32 0.32
		tcmod rotate 20
	}
	{
		map textures/cardigan_skies1/sparse_orange_nebula.tga
		blendfunc filter
		tcmod scroll 0.06 0.02
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ctf/ctf_tower_redfin_shiny
{
	qer_editorimage textures/ctf/ctf_tower_redfin.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/ctf_tower_redfin.tga
		blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}
}

textures/ctf/killblockctf_b
{
	qer_editorimage textures/gothic_block/killblockgeomtrn.tga
	{
		map textures/sfx/fire_ctfblue.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/killblockgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctf/killblockctf_r
{
	qer_editorimage textures/gothic_block/blocks15cgeomtrn.tga
	{
		map textures/sfx/fire_ctfred.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks15cgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/ctf/metalbase09_bluekillblock_shiny
{
	qer_editorimage textures/ctf/metalbase09_bluekillblock.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/metalbase09_bluekillblock.tga
		blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}
}

textures/ctf/tallblue_2b_fin
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ctf/tallblue_2b_fin.tga
		blendfunc gl_dst_color gl_src_alpha
		alphagen lightingspecular
		rgbgen identity
	}
}

textures/e8_fx/e8circle_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/e8_fx/e8circle_blue.tga
		blendfunc add
		rgbgen identity
	}
}

textures/e8_fx/e8circle_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/e8_fx/e8circle_red.tga
		blendfunc add
		rgbgen identity
	}
}

textures/e8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/e8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/e8_trim/e8lighttrim_b.tga
	}
	{
		map $lightmap
		blendfunc filter
		tcgen lightmap
	}
	{
		map textures/e8_trim/e8lighttrim_b.blend.tga
		blendfunc add
	}
}

textures/e8_trim/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/e8_trimfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/e8_trim/e8trim_bluefx.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/e8_trim/e8trimfx_b.tga
		blendfunc add
		tcmod scroll -2 0
	}
}

textures/e8_trim/e8trim_redfx
{
	q3map_lightimage textures/e8_trim/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/e8_trim/e8trim_redfx.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/e8_trim/e8trimfx_r.tga
		blendfunc add
		tcmod scroll -2 0
	}
}

textures/gothic_block/blocks15
{
	{
		map textures/gothic_block/blocks15.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_rock.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_block/blocks15cgeomtrn
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 1.6
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/gothic_block/blocks15cgeomtrn.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/gothic_block/killblock
{
	{
		map textures/gothic_block/killblock.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_stone.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale .1 .1
		detail
	}
}

textures/gothic_light/gothic_light2_lrg_1k
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 1000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/gothic_light3_10k
{
	qer_editorimage textures/gothic_light/gothic_light3.tga
	q3map_lightimage textures/gothic_light/gothic_light2_blend.tga
	q3map_surfacelight 10000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/light1_6kgothicred
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	q3map_surfacelight 4000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light1red.blend.tga
		rgbgen wave sin 0.25 0.25 0 .2
		blendfunc gl_one gl_one
	}
}

textures/gothic_trim/metalsupport4g_2
{
	{
		map textures/gothic_trim/metalsupport4g_2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
	{
		map textures/detail/d_met.tga
		blendfunc gl_dst_color gl_src_color
		tcmod scale 8 8
		detail
	}
}

textures/gothic_trim/pitted_rust
{
	{
		map textures/evil2_basemetal/mtl_rstb.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/organics/dirt2
{
	{
		map textures/evil3_floors/bdirt2.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/q3hh2/2_256_trellis01
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/q3hh2/2_256_trellis01.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3hh2/2_256_trellis02
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/q3hh2/2_256_trellis02.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3hh2/2_red_big_panel04
{
	qer_editorimage textures/q3hh2/2_red_big_panel04.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3hh2/2_red_big_panel04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3hh2/2_red_big_panel04.tga
		blendfunc gl_one gl_src_color
		rgbgen wave sin 1 0.1 0 6
		alphafunc lt128
	}
}

textures/q3hh2/2_red_big_panel05
{
	qer_editorimage textures/q3hh2/2_red_big_panel05.tga
	surfaceparm nomarks
	{
		map textures/q3hh2/2_red_big_panel05.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/q3hh2/2_circuit_overlay.tga
		rgbgen wave sin 0.5 0.5 0 1
		blendfunc gl_one_minus_dst_alpha gl_one
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_one_minus_dst_alpha
	}
}

textures/q3hh2/2_red_floorc01
{
	qer_editorimage textures/q3hh2/2_red_floorc01.tga
	surfaceparm metalsteps
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3hh2/2_red_floorc01.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/q3hh2/2_red_floorr01
{
	qer_editorimage textures/q3hh2/2_red_floorr01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3hh2/2_red_floorr01.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/q3hh2/2_red_trellis04b
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/q3hh2/2_red_trellis04b.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3hh2/hh3_m_light03_2500
{
	qer_editorimage textures/hh3_lights/hh3_m_light03.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hh3_lights/hh3_m_light03.tga
		blendfunc gl_one_minus_src_alpha gl_src_color
		rgbgen identity
	}
	{
		map textures/hh3_lights/hh3_m_light03.tga
		blendfunc gl_one gl_src_color
		rgbgen wave sin 0.8 0.05 0 6
		alphafunc lt128
	}
}

textures/sfx/bounce_largeblock3b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_largeblock3b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/flame1_hell
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 600
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

